drop if exclude == 1
drop if part1 == 1
drop if part9 == 1
drop if part10 == 1 
drop if part11 == 1 
drop if part12 == 1 
drop if part13 == 1 
drop if countryname == "Azerbaijan" 
drop if countryname == "Belarus" 
drop if countryname == "German Democratic Republic" 
drop if countryname == "Northern Ireland" 
drop if countryname == "Sri Lanka" 
drop if countryname == "Mexico"  

%% Table 1 

xtmixed econ_sum right4 gini_gross right4_ginig newparty niche pervote gdpg enpv newdem, level(95), || country:, || party:

xtunitroot fisher econ_sum, pperron lags(1)
xtunitroot fisher econ_sum, dfuller lags(1)


xtreg econ_sum right4 gini_gross right4_ginig newparty niche pervote gdpg enpv newdem, fe

xtreg econ_sum right4 gini_gross right4_ginig newparty niche pervote gdpg enpv newdem i.time2, fe

xtreg econ_sum right4 gini_gross right4_ginig newparty niche pervote gdpg enpv newdem i.time2, fe cluster(party)


reg econ_sum L(1/7).econ_sum right4 gini_gross right4_ginig newparty niche pervote gdpg enpv newdem i.time2 
est sto six
reg econ_sum L(1/6).econ_sum right4 gini_gross right4_ginig newparty niche pervote gdpg enpv newdem i.time2 if e(sample)
est sto five
reg econ_sum L(1/5).econ_sum right4 gini_gross right4_ginig newparty niche pervote gdpg enpv newdem i.time2 if e(sample) 
est sto four
reg econ_sum L(1/4).econ_sum right4 gini_gross right4_ginig newparty niche pervote gdpg enpv newdem i.time2 if e(sample)
est sto three
reg econ_sum L(1/3).econ_sum right4 gini_gross right4_ginig newparty niche pervote gdpg enpv newdem i.time2 if e(sample)
est sto two
reg econ_sum L(1/2).econ_sum right4 gini_gross right4_ginig newparty niche pervote gdpg enpv newdem i.time2 if e(sample)
est sto one

est stats one two three four five six


xtabond econ_sum right4 gini_gross right4_ginig newparty pervote gdpg enpv newdem, lags(1) maxldep(2) 
estat sargan

xtabond econ_sum right4 gini_gross right4_ginig newparty pervote gdpg enpv newdem, lags(1) maxldep(2) twostep robust
estat abond


xtdpd L(0/1).econ_sum right4 gini_gross right4_ginig newparty pervote gdpg enpv newdem, dgmmiv(econ_sum)
estat sargan

xtdpd L(0/1).econ_sum right4 gini_gross right4_ginig newparty pervote gdpg enpv newdem, dgmmiv(econ_sum, lagrange(2 4))
estat sargan

xtdpd L(0/1).econ_sum right4 gini_gross right4_ginig newparty pervote gdpg enpv newdem, dgmmiv(econ_sum, lagrange(3 5))
estat sargan

xtdpd L(0/1).econ_sum right4 gini_gross right4_ginig newparty pervote gdpg enpv newdem, dgmmiv(econ_sum, lagrange(4 5))
estat sargan

xtdpd L(0/2).econ_sum right4 gini_gross right4_ginig newparty pervote gdpg enpv newdem, dgmmiv(econ_sum, lagrange(4 5)) twostep vce(robust) artests(3)
estat abond